/*
 * Author: Mari Wang <mariw@tartarus.uwa.edu.au>
 * Date: 1999-11-27
 *
 * Test speed of RoBIOS functions.
 */

#include <eyebot.h>
#include <stdio.h>
#include "../timerheader.h"

int
main(int argc, char *argv[])
{
  char *function_type = "PSD functions"; /* Fill in adequate name of
                                          * functions currently being
                                          * tested */

  /* File specific variables (those needed for testing) */

  PSDHandle handle;

  index += init_test(function_type);

  handle = PSDInit(PSD_FRONT);
  
  /* Functions to be tested go here.
   * Semantics:
   * do_test(function_name, parameters);
   */
  
  do_test(PSDGet,(handle));
  do_test(PSDGetRaw,(handle));
  do_test(PSDCheck,());

  PSDRelease();

  end_test();

  return 0;
}
